Subject: Ticket Assigned - Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 13 Dec 2022 09:56:50 +0000

Hi Mais Hasan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? Feedback for:  If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? I have not received refund for my returned porducts https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5455006